Package org.globus.gram.internal

# Class GatekeeperReply

java.lang.Object
org.globus.util.http.HttpResponse
org.globus.gram.internal.GatekeeperReply

Direct Known Subclasses:
  `CallbackResponse`

public class GatekeeperReply extends HttpResponse

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`exitCode`
`int`
`failureCode`
`int`
`jobFailureCode`
`String`
`jobManagerUrl`
`int`
`protocolVersion`
`int`
`status`

### Fields inherited from class org.globus.util.http.HttpResponse

`charsRead, chunked, connection, contentLength, contentType, httpCode, httpMsg, httpType, input, location, server`

## Constructor Summary

Constructors
Constructor
Description
`GatekeeperReply(InputStream in)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`myparse()`
`String`
`toString()`
Generates a string representation of the http header

### Methods inherited from class org.globus.util.http.HttpResponse

`getRest, parseHttp, readLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### protocolVersion

public int protocolVersion

### status

public int status

### jobManagerUrl

public String jobManagerUrl

### failureCode

public int failureCode

### jobFailureCode

public int jobFailureCode

### exitCode

public int exitCode

## Constructor Details

### GatekeeperReply

public GatekeeperReply(InputStream in) throws IOException

Throws:
  `IOException`

## Method Details

### myparse

protected void myparse() throws IOException

Throws:
  `IOException`

### toString

public String toString()
Description copied from class: `HttpResponse`
Generates a string representation of the http header

Overrides:
  `toString` in class `HttpResponse`
Returns:
  `String` a string representation of the http header